Connect Ramp with your own API credentials

POST /api/v1/ramp/connect-with-credentials

Connect Ramp using your own Client ID and Client Secret from a Ramp Developer App. This allows you to use the Client Credentials OAuth flow instead of the standard redirect-based OAuth flow. Create your app at: Ramp Dashboard → Company → Developer.

Operation ID: connect_with_credentials_api_v1_ramp_connect_with_credentials_post · View as markdown · OpenAPI slice

Authentication

Bearer token authentication. Pass your DayZero API token in the Authorization header and the target business UUID in x-business-id.

Request body

client_id string required

Ramp Developer App Client ID

client_secret string required

Ramp Developer App Client Secret

Responses

201 Successful Response

400 Bad Request - Invalid input

401 Unauthorized - Authentication required

403 Forbidden - Insufficient permissions

409 Conflict - Resource already exists

422 Validation Error

detail array · ValidationError ValidationError
5 fields
loc array · string | integer required
msg string required
type string required
input object
ctx object